| intc Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XIntc_Config Struct Reference
Overview

This typedef contains configuration information for the device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| Register base address. More...
u32 | AckBeforeService
| 0 - Interrupt would be acked before service through primary interrupt handler 1 - Interrupt would be acked after service through primary interrupt handler More...
int | FastIntr
| Fast Interrupt enabled. More...
u32 | IntVectorAddr
| Interrupt Vector Address. More...
int | NumberofIntrs
| Number of HW Interrupt sources. More...
u8 | VectorAddrWidth
| Width of vector address. More...
u32 | Options
| Device option XIN_SVC_SGL_ISR_OPTION - Primary interrupt handler services the highest priority pending interrupt and return XIN_SVC_ALL_ISRS_OPTION - Primary interrupt handler services all of the pending interrupts and then return. More...
int | IntcType
| Intc type 0 - No Cascade Mode 1 - primary instance 2 - secondary instance 3 - last instance. More...
XIntc_VectorTableEntry | HandlerTable [XPAR_INTC_MAX_NUM_INTR_INPUTS]
| Static vector table of interrupt handlers. More...
int | NumberofSwIntrs
| Number of SW interrupts. More...

## Detailed Description

This typedef contains configuration information for the device.

## Field Documentation

u32 XIntc_Config::AckBeforeService

0 - Interrupt would be acked before service through primary interrupt handler 1 - Interrupt would be acked after service through primary interrupt handler

Referenced by XIntc_DeviceInterruptHandler().

UINTPTR XIntc_Config::BaseAddress

Register base address.

Referenced by XIntc_Acknowledge(), XIntc_ConnectFastHandler(), XIntc_DeviceInterruptHandler(), XIntc_Disable(), XIntc_Disconnect(), XIntc_Enable(), XIntc_Initialize(), XIntc_InterruptHandler(), XIntc_RegisterFastHandler(), XIntc_SetNormalIntrMode(), XIntc_SimulateIntr(), XIntc_Start(), and XIntc_TriggerSwIntr().

u16 XIntc_Config::DeviceId

Unique ID of device.

Referenced by XIntc_InterruptHandler().

int XIntc_Config::FastIntr

Fast Interrupt enabled.

Referenced by XIntc_ConnectFastHandler(), XIntc_DeviceInterruptHandler(), XIntc_Initialize(), and XIntc_SetNormalIntrMode().

XIntc_VectorTableEntry XIntc_Config::HandlerTable[XPAR_INTC_MAX_NUM_INTR_INPUTS]

Static vector table of interrupt handlers.

Referenced by XIntc_Connect(), XIntc_DeviceInterruptHandler(), XIntc_Disconnect(), XIntc_Initialize(), and XIntc_RegisterHandler().

int XIntc_Config::IntcType

Intc type 0 - No Cascade Mode 1 - primary instance 2 - secondary instance 3 - last instance.

Referenced by XIntc_DeviceInterruptHandler(), XIntc_Initialize(), XIntc_SetIntrSvcOption(), XIntc_SetOptions(), and XIntc_Start().

u32 XIntc_Config::IntVectorAddr

Interrupt Vector Address.

int XIntc_Config::NumberofIntrs

Number of HW Interrupt sources.

Referenced by XIntc_DeviceInterruptHandler(), XIntc_Initialize(), and XIntc_TriggerSwIntr().

int XIntc_Config::NumberofSwIntrs

Number of SW interrupts.

Referenced by XIntc_DeviceInterruptHandler(), and XIntc_Initialize().

u32 XIntc_Config::Options

Device option XIN_SVC_SGL_ISR_OPTION - Primary interrupt handler services the highest priority pending interrupt and return XIN_SVC_ALL_ISRS_OPTION - Primary interrupt handler services all of the pending interrupts and then return.

Referenced by XIntc_DeviceInterruptHandler(), XIntc_GetOptions(), XIntc_Initialize(), XIntc_SetIntrSvcOption(), and XIntc_SetOptions().

u8 XIntc_Config::VectorAddrWidth

Width of vector address.

Referenced by IntcLowLevelExample(), XIntc_ConnectFastHandler(), XIntc_Initialize(), XIntc_RegisterFastHandler(), and XIntc_SetNormalIntrMode().